#!/usr/bin/perl

# Edit if you ain't on team 2
my $MyTeam = 2;

open (WORLDS,$ARGV[0]);
@worlds = <WORLDS>; 
close WORLDS;

open (FP,$ARGV[1]);
@fprank = <FP>; 
close FP;

open WORLDCHECK,"> worldcheck.lst";

my %visfp = ();
my %totfp = ();
my %tothw = ();
my %totpl = ();

$totpl{1} = 0;

foreach $item (@fprank){
    my($player,$race,$fp) = split(/\t/,$item);
    $fp += 0;
    $totfp{$player} += $fp;
}

foreach $item (@worlds){
    $item =~ s/"//g;
    $item =~ s/\x0D//g;
    my($worldID,$name,$x,$y,$EI,$RER,$ownerID,$ownerName,$ownerRace,$class,$population,$ultranium,$visible_fp,$team) = split(/,/,$item);
    $visfp{$ownerName} += $visible_fp;
    $team += 0;
    print WORLDCHECK "$name $ownerName $team\n";
    $totpl{$team}++;
    $playerteam{$ownerName} = $team;
    if(0 < $ultranium) {
        if('homeworld' eq $class) {$tothw{$team}++;}
    }
}

print STDERR "$totpl{1}:$tothw{1}, $totpl{2}:$tothw{2}, $totpl{3}:$tothw{3}, $totpl{4}:$tothw{4}\n";
while (my ($key, $value) = each %totfp) {
    if(0 < $value) {
        if($MyTeam != $playerteam{$key}) {
            my $diff = int($value - $visfp{$key});
            print "$key\t$value\t$visfp{$key}\t$diff\n";
        }
    }
}
